Index: /branches/proxy/src/lib/util/sigslot/signal.h
===================================================================
--- /branches/proxy/src/lib/util/sigslot/signal.h	(revision 9367)
+++ /branches/proxy/src/lib/util/sigslot/signal.h	(revision 9368)
@@ -648,111 +648,111 @@
   class _signal_base4 : public _signal_base<mt_policy>
   {
-    public:
-      typedef std::list<_connection_base4<arg1_type, arg2_type, arg3_type,
-      arg4_type, mt_policy> *>  connections_list;
-
-      _signal_base4()
-      {
-        ;
-      }
-
-      _signal_base4(const _signal_base4<arg1_type, arg2_type, arg3_type, arg4_type, mt_policy>& s)
-          : _signal_base<mt_policy>(s)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::const_iterator it = s.m_connected_slots.begin();
-        typename connections_list::const_iterator itEnd = s.m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          (*it)->getdest()->signal_connect(this);
-          m_connected_slots.push_back((*it)->clone());
-
-          ++it;
-        }
-      }
-
-      void slot_duplicate(const has_slots<mt_policy>* oldtarget, has_slots<mt_policy>* newtarget)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::iterator it = m_connected_slots.begin();
-        typename connections_list::iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          if((*it)->getdest() == oldtarget)
-          {
-            m_connected_slots.push_back((*it)->duplicate(newtarget));
-          }
-
-          ++it;
-        }
-      }
-
-      ~_signal_base4()
-      {
-        disconnect_all();
-      }
-
-      void disconnect_all()
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::const_iterator it = m_connected_slots.begin();
-        typename connections_list::const_iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          (*it)->getdest()->signal_disconnect(this);
+  public:
+    typedef std::list<_connection_base4<arg1_type, arg2_type, arg3_type,
+    arg4_type, mt_policy> *>  connections_list;
+
+    _signal_base4()
+    {
+      ;
+    }
+
+    _signal_base4(const _signal_base4<arg1_type, arg2_type, arg3_type, arg4_type, mt_policy>& s)
+        : _signal_base<mt_policy>(s)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::const_iterator it = s.m_connected_slots.begin();
+      typename connections_list::const_iterator itEnd = s.m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        (*it)->getdest()->signal_connect(this);
+        m_connected_slots.push_back((*it)->clone());
+
+        ++it;
+      }
+    }
+
+    void slot_duplicate(const has_slots<mt_policy>* oldtarget, has_slots<mt_policy>* newtarget)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::iterator it = m_connected_slots.begin();
+      typename connections_list::iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        if((*it)->getdest() == oldtarget)
+        {
+          m_connected_slots.push_back((*it)->duplicate(newtarget));
+        }
+
+        ++it;
+      }
+    }
+
+    ~_signal_base4()
+    {
+      disconnect_all();
+    }
+
+    void disconnect_all()
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::const_iterator it = m_connected_slots.begin();
+      typename connections_list::const_iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        (*it)->getdest()->signal_disconnect(this);
+        delete *it;
+
+        ++it;
+      }
+
+      m_connected_slots.erase(m_connected_slots.begin(), m_connected_slots.end());
+    }
+
+    void disconnect(has_slots<mt_policy>* pclass)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::iterator it = m_connected_slots.begin();
+      typename connections_list::iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        if((*it)->getdest() == pclass)
+        {
           delete *it;
-
-          ++it;
-        }
-
-        m_connected_slots.erase(m_connected_slots.begin(), m_connected_slots.end());
-      }
-
-      void disconnect(has_slots<mt_policy>* pclass)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::iterator it = m_connected_slots.begin();
-        typename connections_list::iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          if((*it)->getdest() == pclass)
-          {
-            delete *it;
-            m_connected_slots.erase(it);
-            pclass->signal_disconnect(this);
-            return;
-          }
-
-          ++it;
-        }
-      }
-
-      void slot_disconnect(has_slots<mt_policy>* pslot)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::iterator it = m_connected_slots.begin();
-        typename connections_list::iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          typename connections_list::iterator itNext = it;
-          ++itNext;
-
-          if((*it)->getdest() == pslot)
-          {
-            m_connected_slots.erase(it);
-            //			delete *it;
-          }
-
-          it = itNext;
-        }
-      }
-
-    protected:
-      connections_list m_connected_slots;
+          m_connected_slots.erase(it);
+          pclass->signal_disconnect(this);
+          return;
+        }
+
+        ++it;
+      }
+    }
+
+    void slot_disconnect(has_slots<mt_policy>* pslot)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::iterator it = m_connected_slots.begin();
+      typename connections_list::iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        typename connections_list::iterator itNext = it;
+        ++itNext;
+
+        if((*it)->getdest() == pslot)
+        {
+          m_connected_slots.erase(it);
+          //			delete *it;
+        }
+
+        it = itNext;
+      }
+    }
+
+  protected:
+    connections_list m_connected_slots;
   };
 
@@ -761,112 +761,112 @@
   class _signal_base5 : public _signal_base<mt_policy>
   {
-    public:
-      typedef std::list<_connection_base5<arg1_type, arg2_type, arg3_type,
-      arg4_type, arg5_type, mt_policy> *>  connections_list;
-
-      _signal_base5()
-      {
-        ;
-      }
-
-      _signal_base5(const _signal_base5<arg1_type, arg2_type, arg3_type, arg4_type,
-                    arg5_type, mt_policy>& s)
-          : _signal_base<mt_policy>(s)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::const_iterator it = s.m_connected_slots.begin();
-        typename connections_list::const_iterator itEnd = s.m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          (*it)->getdest()->signal_connect(this);
-          m_connected_slots.push_back((*it)->clone());
-
-          ++it;
-        }
-      }
-
-      void slot_duplicate(const has_slots<mt_policy>* oldtarget, has_slots<mt_policy>* newtarget)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::iterator it = m_connected_slots.begin();
-        typename connections_list::iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          if((*it)->getdest() == oldtarget)
-          {
-            m_connected_slots.push_back((*it)->duplicate(newtarget));
-          }
-
-          ++it;
-        }
-      }
-
-      ~_signal_base5()
-      {
-        disconnect_all();
-      }
-
-      void disconnect_all()
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::const_iterator it = m_connected_slots.begin();
-        typename connections_list::const_iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          (*it)->getdest()->signal_disconnect(this);
+  public:
+    typedef std::list<_connection_base5<arg1_type, arg2_type, arg3_type,
+    arg4_type, arg5_type, mt_policy> *>  connections_list;
+
+    _signal_base5()
+    {
+      ;
+    }
+
+    _signal_base5(const _signal_base5<arg1_type, arg2_type, arg3_type, arg4_type,
+                  arg5_type, mt_policy>& s)
+        : _signal_base<mt_policy>(s)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::const_iterator it = s.m_connected_slots.begin();
+      typename connections_list::const_iterator itEnd = s.m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        (*it)->getdest()->signal_connect(this);
+        m_connected_slots.push_back((*it)->clone());
+
+        ++it;
+      }
+    }
+
+    void slot_duplicate(const has_slots<mt_policy>* oldtarget, has_slots<mt_policy>* newtarget)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::iterator it = m_connected_slots.begin();
+      typename connections_list::iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        if((*it)->getdest() == oldtarget)
+        {
+          m_connected_slots.push_back((*it)->duplicate(newtarget));
+        }
+
+        ++it;
+      }
+    }
+
+    ~_signal_base5()
+    {
+      disconnect_all();
+    }
+
+    void disconnect_all()
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::const_iterator it = m_connected_slots.begin();
+      typename connections_list::const_iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        (*it)->getdest()->signal_disconnect(this);
+        delete *it;
+
+        ++it;
+      }
+
+      m_connected_slots.erase(m_connected_slots.begin(), m_connected_slots.end());
+    }
+
+    void disconnect(has_slots<mt_policy>* pclass)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::iterator it = m_connected_slots.begin();
+      typename connections_list::iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        if((*it)->getdest() == pclass)
+        {
           delete *it;
-
-          ++it;
-        }
-
-        m_connected_slots.erase(m_connected_slots.begin(), m_connected_slots.end());
-      }
-
-      void disconnect(has_slots<mt_policy>* pclass)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::iterator it = m_connected_slots.begin();
-        typename connections_list::iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          if((*it)->getdest() == pclass)
-          {
-            delete *it;
-            m_connected_slots.erase(it);
-            pclass->signal_disconnect(this);
-            return;
-          }
-
-          ++it;
-        }
-      }
-
-      void slot_disconnect(has_slots<mt_policy>* pslot)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::iterator it = m_connected_slots.begin();
-        typename connections_list::iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          typename connections_list::iterator itNext = it;
-          ++itNext;
-
-          if((*it)->getdest() == pslot)
-          {
-            m_connected_slots.erase(it);
-            //			delete *it;
-          }
-
-          it = itNext;
-        }
-      }
-
-    protected:
-      connections_list m_connected_slots;
+          m_connected_slots.erase(it);
+          pclass->signal_disconnect(this);
+          return;
+        }
+
+        ++it;
+      }
+    }
+
+    void slot_disconnect(has_slots<mt_policy>* pslot)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::iterator it = m_connected_slots.begin();
+      typename connections_list::iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        typename connections_list::iterator itNext = it;
+        ++itNext;
+
+        if((*it)->getdest() == pslot)
+        {
+          m_connected_slots.erase(it);
+          //			delete *it;
+        }
+
+        it = itNext;
+      }
+    }
+
+  protected:
+    connections_list m_connected_slots;
   };
 
@@ -875,112 +875,112 @@
   class _signal_base6 : public _signal_base<mt_policy>
   {
-    public:
-      typedef std::list<_connection_base6<arg1_type, arg2_type, arg3_type,
-      arg4_type, arg5_type, arg6_type, mt_policy> *>  connections_list;
-
-      _signal_base6()
-      {
-        ;
-      }
-
-      _signal_base6(const _signal_base6<arg1_type, arg2_type, arg3_type, arg4_type,
-                    arg5_type, arg6_type, mt_policy>& s)
-          : _signal_base<mt_policy>(s)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::const_iterator it = s.m_connected_slots.begin();
-        typename connections_list::const_iterator itEnd = s.m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          (*it)->getdest()->signal_connect(this);
-          m_connected_slots.push_back((*it)->clone());
-
-          ++it;
-        }
-      }
-
-      void slot_duplicate(const has_slots<mt_policy>* oldtarget, has_slots<mt_policy>* newtarget)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::iterator it = m_connected_slots.begin();
-        typename connections_list::iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          if((*it)->getdest() == oldtarget)
-          {
-            m_connected_slots.push_back((*it)->duplicate(newtarget));
-          }
-
-          ++it;
-        }
-      }
-
-      ~_signal_base6()
-      {
-        disconnect_all();
-      }
-
-      void disconnect_all()
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::const_iterator it = m_connected_slots.begin();
-        typename connections_list::const_iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          (*it)->getdest()->signal_disconnect(this);
+  public:
+    typedef std::list<_connection_base6<arg1_type, arg2_type, arg3_type,
+    arg4_type, arg5_type, arg6_type, mt_policy> *>  connections_list;
+
+    _signal_base6()
+    {
+      ;
+    }
+
+    _signal_base6(const _signal_base6<arg1_type, arg2_type, arg3_type, arg4_type,
+                  arg5_type, arg6_type, mt_policy>& s)
+        : _signal_base<mt_policy>(s)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::const_iterator it = s.m_connected_slots.begin();
+      typename connections_list::const_iterator itEnd = s.m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        (*it)->getdest()->signal_connect(this);
+        m_connected_slots.push_back((*it)->clone());
+
+        ++it;
+      }
+    }
+
+    void slot_duplicate(const has_slots<mt_policy>* oldtarget, has_slots<mt_policy>* newtarget)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::iterator it = m_connected_slots.begin();
+      typename connections_list::iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        if((*it)->getdest() == oldtarget)
+        {
+          m_connected_slots.push_back((*it)->duplicate(newtarget));
+        }
+
+        ++it;
+      }
+    }
+
+    ~_signal_base6()
+    {
+      disconnect_all();
+    }
+
+    void disconnect_all()
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::const_iterator it = m_connected_slots.begin();
+      typename connections_list::const_iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        (*it)->getdest()->signal_disconnect(this);
+        delete *it;
+
+        ++it;
+      }
+
+      m_connected_slots.erase(m_connected_slots.begin(), m_connected_slots.end());
+    }
+
+    void disconnect(has_slots<mt_policy>* pclass)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::iterator it = m_connected_slots.begin();
+      typename connections_list::iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        if((*it)->getdest() == pclass)
+        {
           delete *it;
-
-          ++it;
-        }
-
-        m_connected_slots.erase(m_connected_slots.begin(), m_connected_slots.end());
-      }
-
-      void disconnect(has_slots<mt_policy>* pclass)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::iterator it = m_connected_slots.begin();
-        typename connections_list::iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          if((*it)->getdest() == pclass)
-          {
-            delete *it;
-            m_connected_slots.erase(it);
-            pclass->signal_disconnect(this);
-            return;
-          }
-
-          ++it;
-        }
-      }
-
-      void slot_disconnect(has_slots<mt_policy>* pslot)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::iterator it = m_connected_slots.begin();
-        typename connections_list::iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          typename connections_list::iterator itNext = it;
-          ++itNext;
-
-          if((*it)->getdest() == pslot)
-          {
-            m_connected_slots.erase(it);
-            //			delete *it;
-          }
-
-          it = itNext;
-        }
-      }
-
-    protected:
-      connections_list m_connected_slots;
+          m_connected_slots.erase(it);
+          pclass->signal_disconnect(this);
+          return;
+        }
+
+        ++it;
+      }
+    }
+
+    void slot_disconnect(has_slots<mt_policy>* pslot)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::iterator it = m_connected_slots.begin();
+      typename connections_list::iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        typename connections_list::iterator itNext = it;
+        ++itNext;
+
+        if((*it)->getdest() == pslot)
+        {
+          m_connected_slots.erase(it);
+          //			delete *it;
+        }
+
+        it = itNext;
+      }
+    }
+
+  protected:
+    connections_list m_connected_slots;
   };
 
@@ -989,112 +989,112 @@
   class _signal_base7 : public _signal_base<mt_policy>
   {
-    public:
-      typedef std::list<_connection_base7<arg1_type, arg2_type, arg3_type,
-      arg4_type, arg5_type, arg6_type, arg7_type, mt_policy> *>  connections_list;
-
-      _signal_base7()
-      {
-        ;
-      }
-
-      _signal_base7(const _signal_base7<arg1_type, arg2_type, arg3_type, arg4_type,
-                    arg5_type, arg6_type, arg7_type, mt_policy>& s)
-          : _signal_base<mt_policy>(s)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::const_iterator it = s.m_connected_slots.begin();
-        typename connections_list::const_iterator itEnd = s.m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          (*it)->getdest()->signal_connect(this);
-          m_connected_slots.push_back((*it)->clone());
-
-          ++it;
-        }
-      }
-
-      void slot_duplicate(const has_slots<mt_policy>* oldtarget, has_slots<mt_policy>* newtarget)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::iterator it = m_connected_slots.begin();
-        typename connections_list::iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          if((*it)->getdest() == oldtarget)
-          {
-            m_connected_slots.push_back((*it)->duplicate(newtarget));
-          }
-
-          ++it;
-        }
-      }
-
-      ~_signal_base7()
-      {
-        disconnect_all();
-      }
-
-      void disconnect_all()
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::const_iterator it = m_connected_slots.begin();
-        typename connections_list::const_iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          (*it)->getdest()->signal_disconnect(this);
+  public:
+    typedef std::list<_connection_base7<arg1_type, arg2_type, arg3_type,
+    arg4_type, arg5_type, arg6_type, arg7_type, mt_policy> *>  connections_list;
+
+    _signal_base7()
+    {
+      ;
+    }
+
+    _signal_base7(const _signal_base7<arg1_type, arg2_type, arg3_type, arg4_type,
+                  arg5_type, arg6_type, arg7_type, mt_policy>& s)
+        : _signal_base<mt_policy>(s)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::const_iterator it = s.m_connected_slots.begin();
+      typename connections_list::const_iterator itEnd = s.m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        (*it)->getdest()->signal_connect(this);
+        m_connected_slots.push_back((*it)->clone());
+
+        ++it;
+      }
+    }
+
+    void slot_duplicate(const has_slots<mt_policy>* oldtarget, has_slots<mt_policy>* newtarget)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::iterator it = m_connected_slots.begin();
+      typename connections_list::iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        if((*it)->getdest() == oldtarget)
+        {
+          m_connected_slots.push_back((*it)->duplicate(newtarget));
+        }
+
+        ++it;
+      }
+    }
+
+    ~_signal_base7()
+    {
+      disconnect_all();
+    }
+
+    void disconnect_all()
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::const_iterator it = m_connected_slots.begin();
+      typename connections_list::const_iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        (*it)->getdest()->signal_disconnect(this);
+        delete *it;
+
+        ++it;
+      }
+
+      m_connected_slots.erase(m_connected_slots.begin(), m_connected_slots.end());
+    }
+
+    void disconnect(has_slots<mt_policy>* pclass)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::iterator it = m_connected_slots.begin();
+      typename connections_list::iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        if((*it)->getdest() == pclass)
+        {
           delete *it;
-
-          ++it;
-        }
-
-        m_connected_slots.erase(m_connected_slots.begin(), m_connected_slots.end());
-      }
-
-      void disconnect(has_slots<mt_policy>* pclass)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::iterator it = m_connected_slots.begin();
-        typename connections_list::iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          if((*it)->getdest() == pclass)
-          {
-            delete *it;
-            m_connected_slots.erase(it);
-            pclass->signal_disconnect(this);
-            return;
-          }
-
-          ++it;
-        }
-      }
-
-      void slot_disconnect(has_slots<mt_policy>* pslot)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::iterator it = m_connected_slots.begin();
-        typename connections_list::iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          typename connections_list::iterator itNext = it;
-          ++itNext;
-
-          if((*it)->getdest() == pslot)
-          {
-            m_connected_slots.erase(it);
-            //			delete *it;
-          }
-
-          it = itNext;
-        }
-      }
-
-    protected:
-      connections_list m_connected_slots;
+          m_connected_slots.erase(it);
+          pclass->signal_disconnect(this);
+          return;
+        }
+
+        ++it;
+      }
+    }
+
+    void slot_disconnect(has_slots<mt_policy>* pslot)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::iterator it = m_connected_slots.begin();
+      typename connections_list::iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        typename connections_list::iterator itNext = it;
+        ++itNext;
+
+        if((*it)->getdest() == pslot)
+        {
+          m_connected_slots.erase(it);
+          //			delete *it;
+        }
+
+        it = itNext;
+      }
+    }
+
+  protected:
+    connections_list m_connected_slots;
   };
 
@@ -1103,113 +1103,113 @@
   class _signal_base8 : public _signal_base<mt_policy>
   {
-    public:
-      typedef std::list<_connection_base8<arg1_type, arg2_type, arg3_type,
-      arg4_type, arg5_type, arg6_type, arg7_type, arg8_type, mt_policy> *>
-      connections_list;
-
-      _signal_base8()
-      {
-        ;
-      }
-
-      _signal_base8(const _signal_base8<arg1_type, arg2_type, arg3_type, arg4_type,
-                    arg5_type, arg6_type, arg7_type, arg8_type, mt_policy>& s)
-          : _signal_base<mt_policy>(s)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::const_iterator it = s.m_connected_slots.begin();
-        typename connections_list::const_iterator itEnd = s.m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          (*it)->getdest()->signal_connect(this);
-          m_connected_slots.push_back((*it)->clone());
-
-          ++it;
-        }
-      }
-
-      void slot_duplicate(const has_slots<mt_policy>* oldtarget, has_slots<mt_policy>* newtarget)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::iterator it = m_connected_slots.begin();
-        typename connections_list::iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          if((*it)->getdest() == oldtarget)
-          {
-            m_connected_slots.push_back((*it)->duplicate(newtarget));
-          }
-
-          ++it;
-        }
-      }
-
-      ~_signal_base8()
-      {
-        disconnect_all();
-      }
-
-      void disconnect_all()
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::const_iterator it = m_connected_slots.begin();
-        typename connections_list::const_iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          (*it)->getdest()->signal_disconnect(this);
+  public:
+    typedef std::list<_connection_base8<arg1_type, arg2_type, arg3_type,
+    arg4_type, arg5_type, arg6_type, arg7_type, arg8_type, mt_policy> *>
+    connections_list;
+
+    _signal_base8()
+    {
+      ;
+    }
+
+    _signal_base8(const _signal_base8<arg1_type, arg2_type, arg3_type, arg4_type,
+                  arg5_type, arg6_type, arg7_type, arg8_type, mt_policy>& s)
+        : _signal_base<mt_policy>(s)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::const_iterator it = s.m_connected_slots.begin();
+      typename connections_list::const_iterator itEnd = s.m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        (*it)->getdest()->signal_connect(this);
+        m_connected_slots.push_back((*it)->clone());
+
+        ++it;
+      }
+    }
+
+    void slot_duplicate(const has_slots<mt_policy>* oldtarget, has_slots<mt_policy>* newtarget)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::iterator it = m_connected_slots.begin();
+      typename connections_list::iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        if((*it)->getdest() == oldtarget)
+        {
+          m_connected_slots.push_back((*it)->duplicate(newtarget));
+        }
+
+        ++it;
+      }
+    }
+
+    ~_signal_base8()
+    {
+      disconnect_all();
+    }
+
+    void disconnect_all()
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::const_iterator it = m_connected_slots.begin();
+      typename connections_list::const_iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        (*it)->getdest()->signal_disconnect(this);
+        delete *it;
+
+        ++it;
+      }
+
+      m_connected_slots.erase(m_connected_slots.begin(), m_connected_slots.end());
+    }
+
+    void disconnect(has_slots<mt_policy>* pclass)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::iterator it = m_connected_slots.begin();
+      typename connections_list::iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        if((*it)->getdest() == pclass)
+        {
           delete *it;
-
-          ++it;
-        }
-
-        m_connected_slots.erase(m_connected_slots.begin(), m_connected_slots.end());
-      }
-
-      void disconnect(has_slots<mt_policy>* pclass)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::iterator it = m_connected_slots.begin();
-        typename connections_list::iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          if((*it)->getdest() == pclass)
-          {
-            delete *it;
-            m_connected_slots.erase(it);
-            pclass->signal_disconnect(this);
-            return;
-          }
-
-          ++it;
-        }
-      }
-
-      void slot_disconnect(has_slots<mt_policy>* pslot)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::iterator it = m_connected_slots.begin();
-        typename connections_list::iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          typename connections_list::iterator itNext = it;
-          ++itNext;
-
-          if((*it)->getdest() == pslot)
-          {
-            m_connected_slots.erase(it);
-            //			delete *it;
-          }
-
-          it = itNext;
-        }
-      }
-
-    protected:
-      connections_list m_connected_slots;
+          m_connected_slots.erase(it);
+          pclass->signal_disconnect(this);
+          return;
+        }
+
+        ++it;
+      }
+    }
+
+    void slot_disconnect(has_slots<mt_policy>* pslot)
+    {
+      lock_block<mt_policy> lock(this);
+      typename connections_list::iterator it = m_connected_slots.begin();
+      typename connections_list::iterator itEnd = m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        typename connections_list::iterator itNext = it;
+        ++itNext;
+
+        if((*it)->getdest() == pslot)
+        {
+          m_connected_slots.erase(it);
+          //			delete *it;
+        }
+
+        it = itNext;
+      }
+    }
+
+  protected:
+    connections_list m_connected_slots;
   };
 
